> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods.md).

# Admin methods

{% hint style="warning" %}
These entrypoints should be called only by `admin` address.
{% endhint %}

Section is about administrative management. Admin could change managers, self, update fee rates and manage "A" constant (manipulate flattness of swap function).

### Change admin address

Method allows admin to hand over its rights to another address.

{% content-ref url="/pages/tTwuQvuhXnskZGjvegTR" %}
[set\_admin](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods/set_admin.md)
{% endcontent-ref %}

### Update contract fee rates

Entrypoint designed to update all fee rates except developer fee.

{% content-ref url="/pages/yRxICpxkC15Sdtq2nIkj" %}
[set\_fees](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods/set_fees.md)
{% endcontent-ref %}

### Add or remove token metadata managers

Method for add/remove manager addresses to manage LP token metadata.

{% content-ref url="/pages/EE3ev2mJJYnD9cI5c1Ci" %}
[add\_rem\_managers](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods/add_rem_managers.md)
{% endcontent-ref %}

### Manipulate DEX pool "A" constant

Method to set new "A" constant. Changing performed distributed over time from old "A" to new "A".

{% content-ref url="/pages/MAyrLpNbOEYj7a6UQFYV" %}
[ramp\_A](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods/ramp_a.md)
{% endcontent-ref %}

Method to stop changing "A" constant. The new "A" after stop would be specific "A" that counted at time of stopping (from ramping).

{% content-ref url="/pages/dSb35XByy2jCPKEu8NIA" %}
[stop\_ramp\_A](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods/stop_ramp_a.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
